# Uses of Class
io.dapr.client.domain.QueryStateRequest

Packages that use QueryStateRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of QueryStateRequest in io.dapr.client

Methods in io.dapr.client with parameters of type QueryStateRequest
Modifier and Type
Method
Description
`<T> reactor.core.publisher.Mono<QueryStateResponse<T>>`
DaprClientImpl.`queryState(QueryStateRequest request, TypeRef<T> type)`
Query for states using a query request.
`<T> reactor.core.publisher.Mono<QueryStateResponse<T>>`
DaprPreviewClient.`queryState(QueryStateRequest request, TypeRef<T> type)`
Query for states using a query request.
`<T> reactor.core.publisher.Mono<QueryStateResponse<T>>`
DaprPreviewClient.`queryState(QueryStateRequest request, Class<T> clazz)`
Query for states using a query request.

## Uses of QueryStateRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return QueryStateRequest
Modifier and Type
Method
Description
`QueryStateRequest`
QueryStateRequest.`setMetadata(Map<String,String> metadata)`
`QueryStateRequest`
QueryStateRequest.`setQuery(Query query)`
Validate and set the query field.
`QueryStateRequest`
QueryStateRequest.`setQueryString(String queryString)`
Validate and set the queryString field.